# Faststack

Faststack is a batteries-included framework for rapidly building web apps on FastAPI.

## Batteries included

Faststack provides an opinionated, but out of the box configuration for:

- HTTP framework: [FastAPI](https://github.com/tiangolo/fastapi)
- Web server: [Hypercorn](https://github.com/pgjones/hypercorn)
- Dependency injection: [Kink](https://github.com/kodemore/kink)
- ORM: [SQLModel](https://github.com/tiangolo/sqlmodel)
- Migrations: [Alembic](https://github.com/sqlalchemy/alembic)
- CLI: [Typer](https://github.com/tiangolo/typer)
- User management: ...
- Admin: [FastAPI Admin](https://github.com/fastapi-admin/fastapi-admin)

## Typing & Async first-class by default

## Flexibility for small and large apps alike

Faststack is designed to support single-file web scripts as well as onion-architecture
monoliths. The structure of your app is largely up to you, but Faststack provides a
sensible default structure that can be used as a starting point for most apps.
